Bug 212057 - CVE-2006-4573 screen buffer overflow
CVE-2006-4573 screen buffer overflow
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: screen (Show other bugs)
6
All Linux
medium Severity low
: ---
: ---
Assigned To: Marcela Mašláňová
Brock Organ
http://lists.gnu.org/archive/html/scr...
source=vendorsec,reported=20061023,im...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-24 15:43 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: screen-4.0.3-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-11 09:06:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-10-24 15:43:59 EDT
+++ This bug was initially created as a clone of Bug #212056 +++

From the screen-users mailing list:

    I've just released screen-4.0.3. This is not the promised next version
    with vertical split and other cool things, but just a security release
    that fixes two bugs in the utf8 combining characters handling. The
    bugs could be used to crash/hang screen by writing a special string
    to a window.

    The fixed version is (as usual) available via:

    ftp://ftp.uni-erlangen.de/pub/utilities/screen/screen-4.0.3.tar.gz

    Credits go to cstone & Rich Felker for finding the bugs.

Kees Cook of Ubuntu analysed this issue and determined that it's likely an
exploitable issue, but it's non trivial to exploit.  This will require a fair
amount of user interaction to exploit, thus the low severity.

This issue also affects FC5
Comment 1 Marcela Mašláňová 2006-11-15 05:33:38 EST
Now I make it for devel. I'll update FC-6 soon.

Note You need to log in before you can comment on or make changes to this bug.